<?php
 /**

 */

 

include ("../conectar.php");

echo $codaju=$_GET["codaju"];
echo $horaactual = date("h:i:s A");

 $query_parametros="SELECT * FROM web_0000 ";
	 $rs_query_parametros=mysql_query($query_parametros);

   $nomcom= mysql_result($rs_query_parametros,0,"nomcom");
   $razsoc= mysql_result($rs_query_parametros,0,"razsoc");
	$cedjur= mysql_result($rs_query_parametros,0,"cedjur");
	 $diremp= mysql_result($rs_query_parametros,0,"diremp");
	 $numtel_empresa= mysql_result($rs_query_parametros,0,"numtel");
	 	 $numofi= mysql_result($rs_query_parametros,0,"numofi");
		 	 $diains= mysql_result($rs_query_parametros,0,"diains");





$consulta1 = "Select * from ajustes_inventario where codaju = $codaju";
$tabla = mysql_query($consulta1);
$numaju=mysql_result($tabla,0,"numaju");
$fecaju=mysql_result($tabla,0,"fecaju");
$fecaju= implode("-", array_reverse(explode("-", $fecaju))); 
$cdgtipaju=mysql_result($tabla,0,"cdgtipaju");
$detaju=mysql_result($tabla,0,"detaju");
$subtot=mysql_result($tabla,0,"subtot");
$impven=mysql_result($tabla,0,"impven");
$totalajuste=mysql_result($tabla,0,"totalajuste");
$cdgusu=mysql_result($tabla,0,"cdgusu");



  $query_cajero="SELECT * FROM usuarios WHERE codusu='$cdgusu'";
	 $rs_query_cajero=mysql_query($query_cajero);

   $cajero= mysql_result($rs_query_cajero,0,"usu");

  $query_tipo="SELECT * FROM tipo_ajuste WHERE cdgtipaju='$cdgtipaju'";
	 $rs_query_tipo=mysql_query($query_tipo);

   $dscaju= mysql_result($rs_query_tipo,0,"dscaju");

?>
		



<?

$ip = $_SERVER['REMOTE_ADDR'] ;

if ($ip=="192.168.1.70"){

$puerto="LPT1";


  } 
  
  
if ($ip=="127.0.0.1"){

$puerto="LPT2";


  }   



if(($handle = @fopen($puerto, "w")) === FALSE){
        die('No se puede Imprimir, Verifique la conexion con la IMPRESORA'); // Revisa la conexion con la impresora
    }
setlocale(LC_TIME, 'spanish');



fwrite($handle,chr(27). chr(64));//reinicio


//Salida: viernes 24 de febrero del 2012



//Salida: viernes 24 de febrero del 2012


fwrite($handle, chr(27). chr(112). chr(48));//ABRIR EL CAJON
fwrite($handle, chr(27). chr(32). chr(1));//ESTACIO ENTRE 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(56));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27). chr(72). chr(5));//Color Rojo

fwrite($handle, "  ".$nomcom);

fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(33). chr(0));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27) +"3"+ chr(17));//interlienaso
//fwrite($handle, chr(27). chr(72). chr(0));//Color Rojo
fwrite($handle, chr(27). chr(3). chr(17));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 
fwrite($handle,  "    ".$razsoc);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"    Cedula : ". $cedjur);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,  "    ".$diremp);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"    Tel. ".$numtel_empresa);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(8));//ESTACIO ENTRE LETRAS
//$factura = str_pad("  N. ".$numfactura, 23);
fwrite($handle, "    AJUSTE DE INVENTARIO"."  N. ".$numaju );
fwrite($handle, chr(27). chr(33). chr(0));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *revisar *******
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
$CAJERO = str_pad("Cajero: " . $vendedor ,27);
fwrite($handle,"    Fecha: ". $fecaju."                ".$horaactual);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
fwrite($handle, chr(27). chr(33). chr(8));//ESTACIO ENTRE LETRAS N. ".$numfactura );
fwrite($handle, chr(27). chr(33). chr(0));//ESTACIO ENTRE LETRA
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *revisar *******
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
fwrite($handle, "    ".$cdgtipaju ."-".$dscaju);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
  $detaju = substr($detaju." ", 0,43);
fwrite($handle, "    ".$detaju);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
fwrite($handle,"    Articulo    "."             Cant."."         TOTAL");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *************
fwrite($handle, chr(27). chr(97). chr(0));//IzquierdERRORERR21++a
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha


 $sel_lineas="SELECT * FROM ajustes_inventario_lineas WHERE codajuste='$codaju'  ORDER BY numlinea ASC";
$rs_lineas=mysql_query($sel_lineas);
						for ($i = 0; $i < mysql_num_rows($rs_lineas); $i++) {
							$numlinea=mysql_result($rs_lineas,$i,"numlinea");
							//$codfamilia=mysql_result($rs_lineas,$i,"codfamilia");
							//$nombrefamilia=mysql_result($rs_lineas,$i,"nombrefamilia");
							//$codarticulo=mysql_result($rs_lineas,$i,"codarticulo");
						echo	$codigo=mysql_result($rs_lineas,$i,"codigo");
						echo	$dscart=mysql_result($rs_lineas,$i,"dscart");
						echo	$cantidad=mysql_result($rs_lineas,$i,"cantidad");
						echo	$preivi=mysql_result($rs_lineas,$i,"preivi");
						echo	$importe=mysql_result($rs_lineas,$i,"importe");
						echo	$impuesto=mysql_result($rs_lineas,$i,"impuesto");
						echo	$descuento=mysql_result($rs_lineas,$i,"mondes");
					
				echo	$subtotal=$subtotal + $importe;
				echo	$impuesto_venta=$impuesto_venta + $impuesto;
				echo	$total_descuento=$total_descuento + $descuento;
					    $total=$subtotal-$total_descuento+$impuesto_venta;
						
		if ($impuesto > 0 ) { $impart="G"; } else { $impart="E"; }
	
// formula inserta espacion ///

 $sublin=$preivi;
// formula inserta espacion ///

$tamaño=strlen($cantidad);
if($tamaño==4)   {  
  $acotado = substr(mysql_result($rs_lineas,$i,"dscart")." ", 0, 23);
 $acotado = str_pad($acotado, 26);
 $canart = str_pad($cantidad, 4); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
 
 if($tamaño==5)   {  
  $acotado = substr(mysql_result($rs_lineas,$i,"dscart")." ", 0, 22);
 $acotado = str_pad($acotado, 25);
 $canart = str_pad($cantidad, 5); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
 
  if($tamaño==6)   {  
  $acotado = substr(mysql_result($rs_lineas,$i,"dscart")." ", 0, 22);
 $acotado = str_pad($acotado, 24);
 $canart = str_pad($cantidad, 6); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
 
   if($tamaño==7)   {  
  $acotado = substr(mysql_result($rs_lineas,$i,"dscart")." ", 0, 22);
 $acotado = str_pad($acotado, 23);
 $canart = str_pad($cantidad, 7); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
  
		fwrite($handle, chr(27). chr(97). chr(2));//derecha		
   fwrite($handle, $acotado ."". $canart ."". $sublin."".$impart);	


   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea


					
					
								
				 } 
				 
				 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"                                     -----------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
//$resultado=number_format($subtotal,2,".",",");
//$sublin=sprintf("%13s",$resultado) ;
//fwrite($handle,"       Subtotal:  ");
//fwrite($handle,$sublin);

//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
//$total_desc=number_format($total_descuento,2,".",",");
//$descuento=sprintf("%13s",$total_desc) ;
//fwrite($handle,"       Descuento:  ");
//fwrite($handle, $descuento);
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//$impuesto=number_format($impuesto_venta,2,".",",");
//$impuesto_venta=sprintf("%13s",$impuesto) ;
//fwrite($handle,"       I.V :  ");
//fwrite($handle, $impuesto_venta);
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(24));//ESTACIO ENTRE LETRAS
$total_neto=number_format($total,2,".",",");
$total=sprintf("%13s",$total_neto) ;
fwrite($handle,"       TOTAL NETO:  ");
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
fwrite($handle, $total) ;
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(0));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, "    "."(E) Exento  (G) Gravado  (I.V.I.)"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "      ".$numofi  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "    ".$menfac );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(29). chr(86). chr(49));//Corta el Papel



		
fclose($handle); // cierra el fichero PRN
$salida = shell_exec('lpr $puerto'); //lpr->puerto impresora, imprimir archivo PRN

echo "<script languaje='javascript' type='text/javascript'>window.close();</script>";

?>

 